## pyside 0.4.2-1maemo8

=== PySide/CMakeLists.txt ===
project(pyside)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py" "${CMAKE_CURRENT_SOURCE_DIR}/private.py"
        DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}${pyside_SUFFIX}")

include(PySideModules)

# Configure include based on platform
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/global.h.in"
               "${CMAKE_CURRENT_BINARY_DIR}/global.h" @ONLY)

execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                              "${CMAKE_BINARY_DIR}/PySide/__init__.py")

execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_SOURCE_DIR}/private.py"
                                                              "${CMAKE_BINARY_DIR}/PySide/private.py")

HAS_QT_MODULE(QT_QTCORE_FOUND QtCore)
HAS_QT_MODULE(QT_QTGUI_FOUND QtGui)
HAS_QT_MODULE(QT_QTNETWORK_FOUND QtNetwork)
HAS_QT_MODULE(QT_QTWEBKIT_FOUND QtWebKit)
HAS_QT_MODULE(QT_QTSVG_FOUND QtSvg)
HAS_QT_MODULE(QT_QTXML_FOUND QtXml)
HAS_QT_MODULE(QT_QTTEST_FOUND QtTest)
HAS_QT_MODULE(QT_QTOPENGL_FOUND QtOpenGL)
HAS_QT_MODULE(QT_QTSQL_FOUND QtSql)
HAS_QT_MODULE(QT_QTUITOOLS_FOUND QtUiTools)
HAS_QT_MODULE(QT_QTHELP_FOUND QtHelp)
HAS_QT_MODULE(QT_QTXMLPATTERNS_FOUND QtXmlPatterns)
HAS_QT_MODULE(QT_QTMAEMO5_FOUND QtMaemo5)
HAS_QT_MODULE(QT_QTSCRIPT_FOUND QtScript)
HAS_QT_MODULE(QT_QTSCRIPTTOOLS_FOUND QtScriptTools)
HAS_QT_MODULE(QT_QTMULTIMEDIA_FOUND QtMultimedia)
HAS_QT_MODULE(QT_PHONON_FOUND phonon)
HAS_QT_MODULE(QT_QTDECLARATIVE_FOUND QtDeclarative)

# install
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_templates.xml
        DESTINATION share/PySide${pyside_SUFFIX}/typesystems)

=== libpyside/CMakeLists.txt ===
project(libpyside)

set(libpyside_SRC
dynamicqmetaobject.cpp
signalmanager.cpp
globalreceiver.cpp
qsignal.cpp
qslot.cpp
qproperty.cpp
pyside.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${SHIBOKEN_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(pyside SHARED ${libpyside_SRC})
target_link_libraries(pyside
                      ${PYSIDE_PYTHON_LIBRARIES}
                      ${SHIBOKEN_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

set_target_properties(pyside PROPERTIES
                      VERSION ${BINDING_API_VERSION}
                      SOVERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}"
                      OUTPUT_NAME "pyside${pyside_SUFFIX}"
                      DEFINE_SYMBOL PYSIDE_EXPORTS)

#
# install stuff
#

set(libpyside_HEADERS
    dynamicqmetaobject.h
    globalreceiver.h
    pysideconversions.h
    pysidemacros.h
    signalmanager.h
    pyside.h
    qsignal.h
    qproperty.h
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(LIBRARY_OUTPUT_SUFFIX ${CMAKE_DEBUG_POSTFIX})
else()
    set(LIBRARY_OUTPUT_SUFFIX ${CMAKE_RELEASE_POSTFIX})
endif()

# create pkg-config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/pyside.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/pyside${pyside_SUFFIX}.pc" @ONLY)
# create cmake-config files
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/PySideConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/PySideConfig.cmake" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/PySideConfigVersion.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/PySideConfigVersion.cmake" @ONLY)

install(FILES ${libpyside_HEADERS}
        DESTINATION include/${BINDING_NAME}${pyside_SUFFIX})
install(TARGETS pyside EXPORT pyside
                       LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                       ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                       RUNTIME DESTINATION bin)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pyside${pyside_SUFFIX}.pc" DESTINATION "${LIB_INSTALL_DIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/PySideConfig.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/PySide-${BINDING_API_VERSION}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/PySideConfigVersion.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/PySide-${BINDING_API_VERSION}")

=== plugins/CMakeLists.txt ===
project(plugins)

set(ui_plugin_src
    customwidgets.cpp
    customwidget.cpp
)

set (ui_plugin_moc
    customwidget.h
    customwidgets.h
)

QT4_WRAP_CPP(MOC_FILES ${ui_plugin_moc})
include_directories(${QT_QTDESIGNER_INCLUDE_DIR}
                    ${SHIBOKEN_INCLUDE_DIR}
                    ${PYTHON_INCLUDE_PATH})

add_library(uiplugin STATIC ${ui_plugin_src} ${MOC_FILES})
add_definitions(-fPIC)
add_definitions(-DQT_STATICPLUGIN)
target_link_libraries(uiplugin
                      ${QT_QTDESIGNER_LIBRARY}
                      ${SHIBOKEN_LIBRARY}
                      ${PYTHON_LIBRARY})
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(LIBRARY_OUTPUT_SUFFIX ${CMAKE_DEBUG_POSTFIX})
else()
    set(LIBRARY_OUTPUT_SUFFIX ${CMAKE_RELEASE_POSTFIX})
endif()

=== PySide/QtCore/CMakeLists.txt ===
project(QtCore)

if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} LESS 6)
    set (QtCore_46_SRC )
else()
    set(QtCore_46_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qeasingcurve_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractanimation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstractstate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qabstracttransition_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qanimationgroup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qeventtransition_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfinalstate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qhistorystate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qmargins_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qparallelanimationgroup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qpauseanimation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qprocessenvironment_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qpropertyanimation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsequentialanimationgroup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qsignaltransition_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstatemachine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstatemachine_signalevent_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qstatemachine_wrappedevent_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qvariantanimation_wrapper.cpp
    )
endif()
if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} LESS 7)
    set (QtCore_47_SRC )
else()
    set(QtCore_47_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qelapsedtimer_wrapper.cpp
    )
endif()



set(QtCore_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstracteventdispatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstractfileengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstractfileenginehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstractfileengineiterator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstractitemmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstractlistmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qabstracttablemodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qbasictimer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qbitarray_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qbuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qbytearray_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qbytearraymatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qchildevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qcoreapplication_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qcryptographichash_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdatastream_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdatetime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdir_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdiriterator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qdynamicpropertychangeevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qeventloop_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/qfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qfile_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qfileinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qfilesystemwatcher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qfsfileengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qgenericargument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qgenericreturnargument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qiodevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qlibraryinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qline_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qlinef_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qlocale_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmetaclassinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmetaenum_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmetaproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmetamethod_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmetaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmimedata_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmutex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qmutexlocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qpersistentmodelindex_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qpluginloader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qpoint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qpointf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qprocess_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qreadlocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qreadwritelock_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qrect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qrectf_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qregexp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qrunnable_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsemaphore_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsignalmapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsize_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsizef_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsocketnotifier_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsysinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsystemlocale_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qsystemsemaphore_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qt_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtconcurrent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtcore_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtemporaryfile_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextboundaryfinder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextcodec_converterstate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextcodec_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextdecoder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextencoder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextstream_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtextstreammanipulator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qthread_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qthreadpool_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtimeline_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtimer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtimerevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qtranslator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qurl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/quuid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qwaitcondition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qwritelocker_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamattribute_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamattributes_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamentitydeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamentityresolver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamnamespacedeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamnotationdeclaration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtCore/qxmlstreamwriter_wrapper.cpp
${QtCore_46_SRC}
${QtCore_47_SRC}
)

set(QtCore_typesystem_path "")
set(QtCore_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtCore/
                        ${QT_INCLUDE_DIR}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${PYTHON_INCLUDE_PATH})
set(QtCore_libraries  pyside
                      ${PYSIDE_PYTHON_LIBRARIES}
                      ${SHIBOKEN_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

create_pyside_module(QtCore
                     QtCore_include_dirs
                     QtCore_libraries
                     ""
                     QtCore_typesystem_path
                     QtCore_SRC
                     "")

=== PySide/QtHelp/CMakeLists.txt ===
project(QtHelp)

set(QtHelp_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentmodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpcontentwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpenginecore_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpindexmodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpindexwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchquerywidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchquery_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qhelpsearchresultwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp/qthelp_module_wrapper.cpp
)

set(QtHelp_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtHelp_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(QtHelp_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTHELP_INCLUDE_DIR}
                        ${PYTHON_INCLUDE_PATH}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${QtGui_BINARY_DIR}/PySide/QtGui/
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtHelp)
set(QtHelp_libraries  pyside
                      ${PYSIDE_PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTHELP_LIBRARY})
set(QtHelp_deps QtGui)

create_pyside_module(QtHelp
                     QtHelp_include_dirs
                     QtHelp_libraries
                     QtHelp_deps
                     QtHelp_typesystem_path
                     QtHelp_SRC
                     "")

=== PySide/QtMaemo5/CMakeLists.txt ===
project(QtMaemo5)

set(QtMaemo5_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5abstractpickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5datepickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5editbar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5informationbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5listpickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5timepickselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qmaemo5valuebutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5/qtmaemo5_module_wrapper.cpp
)

set(QtMaemo5_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtMaemo5_SOURCE_DIR}")

# QT_QTMAEMO5_* variables are not defined by CMake
if(NOT QT_QTMAEMO5_INCLUDE_DIR)
  FIND_PATH(QT_QTMAEMO5_INCLUDE_DIR QtMaemo5
            PATHS ${QT_HEADERS_DIR}/QtMaemo5 NO_DEFAULT_PATH)
endif()
if(NOT QT_QTMAEMO5_LIBRARY)
  FIND_LIBRARY(QT_QTMAEMO5_LIBRARY QtMaemo5
               PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
endif()

set(QtMaemo5_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTMAEMO5_INCLUDE_DIR}
                        ${PYTHON_INCLUDE_PATH}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${QtCore_BINARY_DIR}/${BINDING_NAME}/QtCore/
                        ${QtGui_BINARY_DIR}/${BINDING_NAME}/QtGui/
                        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtMaemo5)
set(QtMaemo5_libraries  pyside
                      ${PYSIDE_PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTMAEMO5_LIBRARY})
set(QtMaemo5_deps QtGui)

create_pyside_module(QtMaemo5
                     QtMaemo5_include_dirs
                     QtMaemo5_libraries
                     QtMaemo5_deps
                     QtMaemo5_typesystem_path
                     QtMaemo5_SRC
                     "")

=== PySide/QtNetwork/CMakeLists.txt ===
project(QtNetwork)

if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} GREATER 6)
    set (QtNetwork_47_SRC
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkconfiguration_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkconfigurationmanager_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworksession_wrapper.cpp
    )
else()
    set(QtNetwork_47_SRC )
endif ()

set(QtNetwork_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qabstractnetworkcache_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qabstractsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qauthenticator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qftp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhostaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttpheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttprequestheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttpresponseheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qipv6address_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qlocalserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qlocalsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkaccessmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkaddressentry_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcachemetadata_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcookie_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcookiejar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkdiskcache_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkproxy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qssl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtcpserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtcpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtnetwork_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qudpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qurlinfo_wrapper.cpp

${QtNetwork_47_SRC}
)

check_qt_class(QtNetwork QSslCipher QtNetwork_SRC)
check_qt_class(QtNetwork QSslConfiguration QtNetwork_SRC)
check_qt_class(QtNetwork QSslError QtNetwork_SRC)
check_qt_class(QtNetwork QSslKey QtNetwork_SRC)
check_qt_class(QtNetwork QSslSocket QtNetwork_SRC)

set(QtNetwork_typesystem_path "${QtCore_SOURCE_DIR}")
set(QtNetwork_include_dirs  ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/
                            ${QT_INCLUDE_DIR}
                            ${QT_QTNETWORK_INCLUDE_DIR}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${PYTHON_INCLUDE_PATH}
                            ${QtCore_BINARY_DIR}/PySide/QtCore/)
set(QtNetwork_libraries pyside
                        ${PYSIDE_PYTHON_LIBRARIES}
                        ${SHIBOKEN_LIBRARY}
                        ${QT_QTNETWORK_LIBRARY})

set(QtNetwork_deps QtCore)

create_pyside_module(QtNetwork
                     QtNetwork_include_dirs
                     QtNetwork_libraries
                     QtNetwork_deps
                     QtNetwork_typesystem_path
                     QtNetwork_SRC
                     "")

=== PySide/QtSql/CMakeLists.txt ===
project(QtSql)

set(QtSql_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlindex_wrapper.cpp

    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqldatabase_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqldrivercreatorbase_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqldriver_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlerror_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlfield_wrapper.cpp

    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlquerymodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlquery_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlrecord_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlrelationaldelegate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlrelationaltablemodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlrelation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqlresult_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsqltablemodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qsql_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/qtsql_module_wrapper.cpp
)

set(QtSql_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtSql_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(QtSql_include_dirs  ${CMAKE_CURRENT_SOURCE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_QTSQL_INCLUDE_DIR}
                        ${PYTHON_INCLUDE_PATH}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${QtGui_BINARY_DIR}/PySide/QtGui/
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtSql/)
set(QtSql_libraries     pyside
                        ${PYSIDE_PYTHON_LIBRARIES}
                        ${QT_QTCORE_LIBRARY}
                        ${QT_QTGUI_LIBRARY}
                        ${QT_QTSQL_LIBRARY})
set(QtSql_deps QtGui)
create_pyside_module(QtSql
                     QtSql_include_dirs
                     QtSql_libraries
                     QtSql_deps
                     QtSql_typesystem_path
                     QtSql_SRC
                     "")

=== tests/QtCore/CMakeLists.txt ===
PYSIDE_TEST(bug_278_test.py)
PYSIDE_TEST(bug_332.py)
PYSIDE_TEST(blocking_signals_test.py)
PYSIDE_TEST(child_event_test.py)
PYSIDE_TEST(deletelater_test.py)
PYSIDE_TEST(duck_punching_test.py)
PYSIDE_TEST(hash_test.py)
PYSIDE_TEST(missing_symbols_test.py)
PYSIDE_TEST(python_conversion.py)
PYSIDE_TEST(qabs_test.py)
PYSIDE_TEST(qabstractitemmodel_test.py)
PYSIDE_TEST(qabstracttransition_test.py)
PYSIDE_TEST(qanimationgroup_test.py)
PYSIDE_TEST(qbitarray_test.py)
PYSIDE_TEST(qbytearray_buffer_protocol_test.py)
PYSIDE_TEST(qbytearray_concatenation_operator_test.py)
PYSIDE_TEST(qbytearray_operator_iadd_test.py)
PYSIDE_TEST(qbytearray_operator_test.py)
PYSIDE_TEST(qbytearray_test.py)
PYSIDE_TEST(qcoreapplication_instance_test.py)
PYSIDE_TEST(qdatastream_test.py)
PYSIDE_TEST(qdate_test.py)
PYSIDE_TEST(qenum_test.py)
PYSIDE_TEST(qevent_test.py)
PYSIDE_TEST(qfileinfo_test.py)
PYSIDE_TEST(qfile_test.py)
PYSIDE_TEST(qflags_test.py)
PYSIDE_TEST(qinstallmsghandler_test.py)
PYSIDE_TEST(qlinef_test.py)
PYSIDE_TEST(qlocale_test.py)
PYSIDE_TEST(qmetaobject_test.py)
PYSIDE_TEST(qmodelindex_internalpointer_test.py)
PYSIDE_TEST(qobject_children_segfault_test.py)
PYSIDE_TEST(qobject_connect_notify_test.py)
PYSIDE_TEST(qobject_destructor.py)
PYSIDE_TEST(qobject_event_filter_test.py)
PYSIDE_TEST(qobject_inherits_test.py)
PYSIDE_TEST(qobject_objectproperty_test.py)
PYSIDE_TEST(qobject_parent_test.py)
PYSIDE_TEST(qobject_property_test.py)
PYSIDE_TEST(qobject_protected_methods_test.py)
PYSIDE_TEST(qobject_test.py)
PYSIDE_TEST(qobject_timer_event_test.py)
PYSIDE_TEST(qobject_tr_as_instance_test.py)
PYSIDE_TEST(qpoint_test.py)
PYSIDE_TEST(qprocess_test.py)
PYSIDE_TEST(qqtversion_test.py)
PYSIDE_TEST(qrect_test.py)
PYSIDE_TEST(qresource_test.py)
PYSIDE_TEST(qsize_test.py)
PYSIDE_TEST(qslot_object_test.py)
PYSIDE_TEST(qsrand_test.py)
PYSIDE_TEST(qstatemachine_test.py)
PYSIDE_TEST(qstate_test.py)
PYSIDE_TEST(qstring_test.py)
PYSIDE_TEST(qtext_codec_test.py)
PYSIDE_TEST(qtextstream_test.py)
PYSIDE_TEST(qthread_prod_cons_test.py)
PYSIDE_TEST(qthread_signal_test.py)
PYSIDE_TEST(qthread_test.py)
PYSIDE_TEST(qtimer_singleshot_test.py)
PYSIDE_TEST(qtimer_timeout_test.py)
PYSIDE_TEST(qtnamespace_test.py)
PYSIDE_TEST(qurl_test.py)
PYSIDE_TEST(setprop_on_ctor_test.py)
PYSIDE_TEST(static_method_test.py)
PYSIDE_TEST(static_protected_methods_test.py)
PYSIDE_TEST(thread_signals_test.py)
PYSIDE_TEST(translation_test.py)
PYSIDE_TEST(unaryoperator_test.py)
PYSIDE_TEST(unicode_test.py)

if(X11)
    PYSIDE_TEST(qhandle_test.py)
endif()

=== debian/changelog ===
pyside (0.4.2-1maemo8) unstable; urgency=low

  * Version bump. 

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon,  1 Nov 2010 10:46:19 -0300

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: PySide Team <pyside@openbossa.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt,
	python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.3.5-11), python-support (>= 0.3.9),
	libqt4-dev (>= 4.7), libqt4-phonon (>= 4.7),
	shiboken (>= 0.5.1-1maemo7), generatorrunner (>= 0.6.2-1maemo3), libshiboken-dev (>= 0.5.1-1maemo7), libgenrunner-dev (>= 0.6.2-1maemo3)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyside/?op=log
Homepage: http://www.pyside.org/

Package: python-pyside
Architecture: all
Provides: pyside-qt4
Replaces: pyside-qt4 (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4 (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtmultimedia (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version}),
	 python-pyside.qtxmlpatterns (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: pyside-qt4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside (>= 0.4.2-1maemo8)
Description: Transitional package for python-pyside
 This is a transitional package for python-pyside.

Package: python-pyside-dbg
Architecture: any
Provides: pyside-qt4-dbg
Replaces: pyside-qt4-dbg (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-dbg (<< 0.4.1-1maemo2)
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version}),
	 python-pyside.qtxmlpatterns (>= ${binary:Version}),
	 libpyside0.4 (>= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: pyside-qt4-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside-dbg (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside-dbg
 This is a transitional package for python-pyside-dbg.

Package: libpyside0.4
Architecture: any
Conflicts: libpyside0.3
Replaces: libpyside0.3
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libshiboken0.5 (>= 0.5.1-1maemo7)
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev (>= 4.7)
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: python-pyside.qtcore
Architecture: any
Provides: pyside-qt4-core
Replaces: pyside-qt4-core (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-core (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside0.4 (>= 0.4-0.4_NAME)
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: pyside-qt4-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtcore (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtcore
 This is a transitional package for python-pyside.qtcore.

Package: python-pyside.qtgui
Architecture: any
Provides: pyside-qt4-gui
Replaces: pyside-qt4-gui (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-gui (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: pyside-qt4-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtgui (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtgui
 This is a transitional package for python-pyside.qtgui.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python-pyside.qtmultimedia
Architecture: any
Provides: pyside-qt4-multimedia
Replaces: pyside-qt4-multimedia (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-multimedia (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Description: Qt 4 multimedia module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMultimedia module.

Package: pyside-qt4-multimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtmultimedia (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtmultimedia
 This is a transitional package for python-pyside.qtmultimedia.

Package: python-pyside.qtnetwork
Architecture: any
Provides: pyside-qt4-network
Replaces: pyside-qt4-network (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-network (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: pyside-qt4-network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtnetwork (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtnetwork
 This is a transitional package for python-pyside.qtnetwork.

Package: python-pyside.qtopengl
Architecture: any
Provides: pyside-qt4-opengl
Replaces: pyside-qt4-opengl (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-opengl (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: pyside-qt4-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtopengl (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtopengl
 This is a transitional package for python-pyside.qtopengl.

Package: python-pyside.phonon
Architecture: any
Provides: pyside-qt4-phonon
Replaces: pyside-qt4-phonon (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-phonon (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: pyside-qt4-phonon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.phonon (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.phonon
 This is a transitional package for python-pyside.phonon.

Package: python-pyside.qtscript
Architecture: any
Provides: pyside-qt4-script
Replaces: pyside-qt4-script (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-script (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: pyside-qt4-script
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtscript (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtscript
 This is a transitional package for python-pyside.qtscript.

Package: python-pyside.qtsql
Architecture: any
Provides: pyside-qt4-sql
Replaces: pyside-qt4-sql (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-sql (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: pyside-qt4-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtsql (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtsql
 This is a transitional package for python-pyside.qtsql.

Package: python-pyside.qtsvg
Architecture: any
Provides: pyside-qt4-svg
Replaces: pyside-qt4-svg (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-svg (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: pyside-qt4-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pyside.qtsvg (>= 0.4-0.4_NAME)
Description: Transitional package for python-pyside.qtsvg
 This is a transitional package for python-pyside.qtsvg.

Package: python-pyside.qttest
Architecture: any
Provides: pyside-qt4-test
Replaces: pyside-qt4-test (<< 0.4.1-1maemo2)
Conflicts: pyside-qt4-test (<< 0.4.1-1maemo2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find debhelper7 on Maemo
# Install from Extras repository
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)

#### CONFIGURE ####

## DBG: override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure-%) $(PYVERSIONS:%=override_dh_auto_configure_dbg-%)

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
	-DENABLE_MAEMO=1 \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
	-DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
	-DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
	-DCMAKE_DEBUG_POSTFIX=_d \
	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
	-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DENABLE_MAEMO=1 \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
	-DCMAKE_PYTHON_VERSION=$* \
	-DCMAKE_PYTHONLIB_VERSION=$* \
	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
	-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

#### BUILD ####

## DBG: override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build-%)

override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

## DBG: override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install-%)

override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=python-pyside-dbg --exclude=_d.so

#### Symbols ####
override_dh_shlibdeps:
	dh_shlibdeps -- -Ldebian/libpyside0/DEBIAN/shlibs -Ldebian/python-pyside.qtcore/DEBIAN/shlibs -Ldebian/python-pyside-dbg/DEBIAN/shlibs

#### TEST ####
## DBG: override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test-%)

override_dh_auto_test_dbg-%:
	# Don't be blocking.
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	# Don't be blocking.
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_last

override_dh_install_first:
# Move the debug .so's right in place
## DBG: $(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
## DBG:              debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*.so)
## DBG: $(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
## DBG:              debian/tmp-dbg/usr/lib/*.so*)
# Setup the default version symbolic links
	$(shell ln -s libpyside`echo -py${DEFAULT_PY} | sed -e 's/\.//g' -`.so \
	              debian/tmp/usr/lib/libpyside.so )

override_dh_install_real: override_dh_install_first
# Do the legacy install
	dh_install --list-missing

override_dh_install_last: override_dh_install_real
# Move the debug library to the correct package.
## DBG: $(shell rename 's/(debian\/libpyside0\/)(.*)_d\.so(.*)$$/debian\/pyside-qt4-dbg\/$$2_d.so$$3/' \
## DBG:              debian/libpyside0/usr/lib/*_d.so*)
